DevHeads.net

Node.js 5.9.0 coming to Rawhide next week

Next week, I plan to upgrade Node.js from the 4.x LTS branch to the 5.x stable
branch in Rawhide. This upgrade does break backwards-compatibility and thus will
need re-testing of modules. Also, all native NPMs (those that are built with
architecture-specific packages rather than noarch) will need to be rebuilt to
pick up the new automatic dependency system we have implemented.

Previously, native modules had to be rebuilt for every minor-version bump of
Node.js, but we have tweaked the virtual Provides and Requires to only require a
rebuild at major-version bumps. This will help significantly with the stable
branch, which revs the minor release fairly often.

Comments

Re: Node.js 5.9.0 coming to Rawhide next week

By Stephen Gallagher at 03/29/2016 - 09:56

On 03/23/2016 09:49 AM, Stephen Gallagher wrote:

Node.js 5.9.1 has landed in Rawhide.